hostname R2

interface g0/0
 description Interface physique parent
 ip address None None
 encapsulation dot1Q 
 no shutdown

interface g0/0.10
 description Sous interface g0/0.10
 ip address 172.16.30.254 255.255.255.0
 encapsulation dot1Q 10
 no shutdown

interface g0/0.20
 description Sous interface g0/0.20
 ip address 172.16.40.254 255.255.255.0
 encapsulation dot1Q 20
 no shutdown

interface g2/0
 description Lien principal vers le switch ESW4
 ip address None None
 encapsulation dot1Q 
 no shutdown

interface g2/0.10
 description Gateway pour le reseau 172.16.50.0
 ip address 172.16.50.254 255.255.255.0
 encapsulation dot1Q 10
 no shutdown

interface g2/0.20
 description Gateway pour le reseau 172.16.60.0
 ip address 172.16.60.254 255.255.255.0
 encapsulation dot1Q 20
 no shutdown

interface g2/0.99
 description Interface de gestion VLAN 99
 ip address 172.16.100.254 255.255.255.192
 encapsulation dot1Q 99
 no shutdown

end